aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/php/bin
diff options
context:
space:
mode:
authorGravatar Craig Tiller <ctiller@google.com>2015-01-16 13:19:16 -0800
committerGravatar Craig Tiller <ctiller@google.com>2015-01-16 13:19:16 -0800
commit62b03e2d9f9930217a289392c2af84dccaf46927 (patch)
tree698ccc010fad8c2df155e179b3fea5d1747fea17 /src/php/bin
parentff7cdd3badc3517773b8dc13468982ee370d3db7 (diff)
Sym-link in system extensions
Diffstat (limited to 'src/php/bin')
-rwxr-xr-xsrc/php/bin/run_tests.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/src/php/bin/run_tests.sh b/src/php/bin/run_tests.sh
index 50175e5b06..c334ad9091 100755
--- a/src/php/bin/run_tests.sh
+++ b/src/php/bin/run_tests.sh
@@ -1,6 +1,17 @@
#!/bin/sh
# Loads the local shared library, and runs all of the test cases in tests/
# against it
+set -ex
cd $(dirname $0)
-php -d extension_dir=../ext/grpc/modules/ -d extension=grpc.so \
+default_extension_dir=`php -i | grep extension_dir | sed 's/.*=> //g'`
+
+# sym-link in system supplied extensions
+for f in $default_extension_dir/*.so
+do
+ ln -s $f ../ext/grpc/modules/$(basename $f) || true
+done
+
+php \
+ -d extension_dir=../ext/grpc/modules/ \
+ -d extension=grpc.so \
phpunit -v --debug --strict ../tests/unit_tests